Topic
1 reply Latest Post - ‏2010-07-20T19:19:00Z by SystemAdmin
SystemAdmin
SystemAdmin
706 Posts
ACCEPTED ANSWER

Pinned topic Problem building poppler for RHEL 4 ppc

‏2010-07-14T03:41:52Z |
Hi,

This is the error I get when I want to build "poppler-0.5.4-0.3.src.rpm" on RHEL 4.8 ppc64. Any help is highly appreciated...
Anybody has ready poppler .rpm packages for rhel 4 ppc?


/usr/lib/libfreetype.so -lz -lfontconfig -L/usr/lib/gcc/ppc64-redhat-linux/3.4.6/64 -L/usr/lib/gcc/ppc64-redhat-linux/3.4.6 -L/usr/lib/gcc/ppc64-redhat-linux/3.4.6/../../../../lib64 -L/usr/lib/gcc/ppc64-redhat-linux/3.4.6/../../.. -L/lib/../lib64 -L/usr/lib/../lib64 -lstdc++ -lm -lc -lgcc_s_64 /usr/lib/gcc/ppc64-redhat-linux/3.4.6/64/crtsavres.o /usr/lib/gcc/ppc64-redhat-linux/3.4.6/64/crtendS.o /usr/lib/gcc/ppc64-redhat-linux/3.4.6/../../../../lib64/crtn.o  -m64 -mminimal-toc -Wl,-soname -Wl,libpoppler.so.1 -o .libs/libpoppler.so.1.0.0 /usr/lib/libfreetype.so: could not read symbols: File in wrong format collect2: ld returned 1 exit status make[3]: *** [libpoppler.la] Error 1 make[3]: Leaving directory `/usr/src/redhat/BUILD/poppler-0.5.4/poppler-0.5.4/poppler
' make[2]: *** [all] Error 2 make[2]: Leaving directory `/usr/src/redhat/BUILD/poppler-0.5.4/poppler-0.5.4/poppler
' make[1]: *** [all-recursive] Error 1 make[1]: Leaving directory `/usr/src/redhat/BUILD/poppler-0.5.4/poppler-0.5.4
' make: *** [all] Error 2 error: Bad exit status from /var/tmp/rpm-tmp.93514 (%build)     RPM build errors: Bad exit status from /var/tmp/rpm-tmp.93514 (%build)


Thanks,
Updated on 2010-07-20T19:19:00Z at 2010-07-20T19:19:00Z by SystemAdmin
  • SystemAdmin
    SystemAdmin
    706 Posts
    ACCEPTED ANSWER

    Re: Problem building poppler for RHEL 4 ppc

    ‏2010-07-20T19:19:00Z  in response to SystemAdmin
    Hi,

    There doesn't appear to be any supported RPM pacakge of poppler 0.5.4 for RHEL 4.8.
    I haven't seen a non-supported pre-built package either.

    Good luck,
    Jeff